<h1><%= @challenge.name %></h1>
<p><%= @challenge.description %></p>
<p><%= @challenge.detailed_description %></p>
<p>Ends on: <%= @challenge.end_date.strftime("%B %d, %Y") %></p>

<% unless current_user.user_challenges.exists?(challenge_id: @challenge.id) %>
  <%= button_to 'Join Challenge', join_challenge_path(@challenge), method: :post, class: 'btn btn-success' %>
<% end %>

<% if @challenge.feedbacks.any? %>
  <h3>Feedbacks:</h3>
  <ul>
    <% @challenge.feedbacks.each do |feedback| %>
      <li><strong><%= feedback.user.email %>:</strong> <%= feedback.message %></li>
    <% end %>
  </ul>
<% else %>
  <p>No feedbacks yet.</p>
<% end %>

<%= form_with(model: [ @challenge, Feedback.new ], local: true) do |form| %>
  <div>
    <%= form.label :message, "Your Feedback" %>
    <%= form.text_area :message %>
  </div>
  <%= form.submit "Submit Feedback", class: 'btn btn-primary' %>
<% end %>

<%= link_to 'Go Back Home', root_path, class: 'btn btn-primary' %>
